Skip to content

Requests the payment status of a transaction from the PSP.

GET
/api/v1/payment/{entranceCode}/status
entranceCode
required
string

The entrance code of the transaction.

Example
7c456eed1dc3e65397fc0fdb542a5441
redirectResult
string

URL encoded Base64 redirect result from Adyen.

Example
uhigyufvhjui89y7to6ftuygi87ot6fyvghygu78otyutgv.....

The last recorded status for this payment.

object
status
required
string
Allowed values: Open Refused Processing Success Failed Cancelled Expired Refunded
intermediateStatus
One of:
string
Allowed values: three_ds_frictionless three_ds_challenge
context

The context that defines the payment status or the intermediate payment status

object
key
additional properties
any

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER001 ER003 ER346 ER347 ER348 ER363 ER364 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER001": {
"code": "ER001",
"message": "Email address is invalid.",
"solution": "Provide a valid email address."
},
"ER003": {
"code": "ER003",
"message": "No email address provided.",
"solution": "Provide a valid email address."
},
"ER346": {
"code": "ER346",
"message": "Missing parameters to retrieve paymentStatus.",
"solution": "provide the required parameters to retrieve the paymentStatus."
},
"ER347": {
"code": "ER347",
"message": "The payment status could not be retrieved.",
"solution": "Please try again."
},
"ER348": {
"code": "ER348",
"message": "Retrieving the payment status for this order is currently not supported.",
"solution": "Contact support for assistance."
},
"ER363": {
"code": "ER363",
"message": "Invalid return url value.",
"solution": "Provide a valid return url."
},
"ER364": {
"code": "ER364",
"message": "Entrance code is missing.",
"solution": "Provide an entrance code."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}